/*
 * ******************************************************************************************
 * File		: main.c
 * Author 	: GowinSemicoductor
 * Chip		: AE350_SOC
 * Function	: Main functions
 * ******************************************************************************************
 */

// Includes ---------------------------------------------------------------------------------
#include "ram.h"
#include "uart.h"
#include "delay.h"
#include <stdio.h>


// Definitions ------------------------------------------------------------------------------

// Application entry function
int main(void)
{
    uart_init(38400);	// Initializes UART2

    printf("\r\nIt's an AXI to AHB Sync demo.\r\n");

    for(int i = 0; i < 100; i++)
    {
    	printf("\r\n- - - - - - - - - - - - - - - - - - - - - - - - - - - \r\n");
    	printf("Loop %d\r\n", i);

    	// Write data into RAM
    	printf("Write data into RAM...\r\n");
    	setDataCmd(DEV_RAM, 3);			// Command: select and write
    	setDataAddr(DEV_RAM, i);		// Address
    	setDataIn(DEV_RAM, 230+i);		// Data input

    	// Read data from RAM
    	printf("Read data from RAM...\r\n");
    	setDataCmd(DEV_RAM, 2);			// Command: select and read
    	printf("Address    : %d\r\n",getDataAddr(DEV_RAM));
    	printf("Data input : %d\r\n",getDataIn(DEV_RAM));
    	printf("Data output: %d\r\n",getDataOut(DEV_RAM));

    	simple_delay(1000);
    }

    printf("\r\nPASS.");

    return 0;
}
